Opened 7 years ago

Closed 7 years ago

#2080 closed defect (fixed)

GTA02 stuck in systemd during boot

Reported by: GNUtoo Owned by: mrmoku
Priority: major Milestone:
Component: SHR Image Version: SHR-core
Keywords: Cc:

Description

  • staging 106
  • kernel: uImage-2.6.39-r13-om-gta02-20121003142338.bin (not modified)
  • rootfs: shr-image-om-gta02-20121028011333.rootfs.ubi (not modified)
  • bootloader: qi-ubi-s3c2442.udfu (not modified)
    # picocom -b 115200 /dev/ttyUSB0 
    picocom v1.4
    
    port is        : /dev/ttyUSB0
    flowcontrol    : none
    baudrate is    : 115200
    parity is      : none
    databits are   : 8
    escape is      : C-a
    noinit is      : no
    noreset is     : no
    nolock is      : no
    send_cmd is    : ascii_xfr -s -v -l10
    receive_cmd is : rz -vv
    
    Terminal ready
    
    
    
    Qi Bootloader s3c2442  opmbuild 1.0.2-r10+gitr2+aa934abb5e8771100240e344411ddebacca33ece 
    2012-10-28T02:32:37+0100  Copyright (C) 2008 Openmoko, Inc.
    
         Detected: Freerunner / GTA02, A6 PCB
    Battery condition reasonable
    
    Trying kernel: SD Card EXT2 P1 Kernel
    no response
    block device init failed
    
    Trying kernel: SD Card EXT2 P1 Kernel
    block device init failed
    
    Trying kernel: SD Card EXT2 P2 Kernel
    block device init failed
    
    Trying kernel: SD Card EXT2 P3 Kernel
    block device init failed
    
    Trying kernel: NAND Kernel
         RAW open: +1024 512-byte blocks
            Found: "Linux-2.6.39.4"
             Size: 1437 KiB
         RAW open: +1024 512-byte blocks
    Failed to mount ext2 filesystem...
    Unable to mount ext2 filesystem
          Cmdline: loglevel=4 console=tty0 console=ttySAC2,115200 init=/sbin/init ro  mtdparts=physmap-flash:-(nor);neo1973-nand:0x00040000(qi),0x00040000(depr-ub-env),0x00800000(kernel),0x000a0000(depr),0x00040000(identity-ext2),0x0f6a0000(rootfs)  rootfstype=ubifs  ubi.mtd=6,2048  root=ubi0:om-gta02-rootfs 
    Starting --->
    
    Uncompressing Linux... done, booting the kernel.
    
    Welcome to Linux!
    

Change History (4)

comment:1 Changed 7 years ago by GNUtoo

more detailed log:

bootargs=ignore_loglevel console=ttySAC2,115200 ro mtdparts=mtdparts=physmap-flash:-(nor);neo1973-nand:0x00040000(u-boot),0x00040000(u-boot_env),0x00800000(kernel),0x000a0000(splash),0x00040000(factory),0x0f6a0000(rootfs) rootfstype=ubifs ubi.mtd=6,2048 root=ubi0:om-gta02-rootfs

Environment size: 1373/262140 bytes
GTA02v6 # bootm 0x32000000
## Booting kernel from Legacy Image at 32000000 ...
   Image Name:   Linux-2.6.39.4
   Created:      2012-10-03  14:51:54 UTC
   Image Type:   ARM Linux Kernel Image (uncompressed)
   Data Size:    1471656 Bytes =  1.4 MB
   Load Address: 30008000
   Entry Point:  30008000
   Verifying Checksum ... OK
   Loading Kernel Image ... OK
OK

Starting kernel ...

Uncompressing Linux... done, booting the kernel.
[    0.000000] Initializing cgroup subsys cpuset
[    0.000000] Initializing cgroup subsys cpu
[    0.000000] Linux version 2.6.39.4 (bitbake@garnet) (gcc version 4.7.2 (GCC) ) #1 Wed Oct 3 07:51:50 PDT 2012
[    0.000000] CPU: ARM920T [41129200] revision 0 (ARMv4T), cr=c0007177
[    0.000000] CPU: VIVT data cache, VIVT instruction cache
[    0.000000] Machine: GTA02
[    0.000000] debug: ignoring loglevel setting.
[    0.000000] Memory policy: ECC disabled, Data cache writeback
[    0.000000] BUG: mapping for 0x19000000 at 0xe0000000 overlaps vmalloc space
[    0.000000] CPU S3C2442B (id 0x32440aab)
[    0.000000] S3C24XX Clocks, Copyright 2004 Simtec Electronics
[    0.000000] S3C244X: core 400.000 MHz, memory 100.000 MHz, peripheral 50.000 MHz
[    0.000000] CLOCK: Slow mode (1.500 MHz), fast, MPLL on, UPLL on
[    0.000000] On node 0 totalpages: 32768
[    0.000000] free_area_init_node: node 0, pgdat c03a4ab8, node_mem_map c03f5000
[    0.000000]   Normal zone: 256 pages used for memmap
[    0.000000]   Normal zone: 0 pages reserved
[    0.000000]   Normal zone: 32512 pages, LIFO batch:7
[    0.000000] pcpu-alloc: s0 r0 d32768 u32768 alloc=1*32768
[    0.000000] pcpu-alloc: [0] 0 
[    0.000000] Built 1 zonelists in Zone order, mobility grouping on.  Total pages: 32512
[    0.000000] Kernel command line: ignore_loglevel console=ttySAC2,115200 ro mtdparts=mtdparts=physmap-flash:-(nor);neo1973-nand:0x00040000(u-boot),0x00040000(u-boot_env),0x00800000(kernel),0x000a0000(splash),0x00040000(factory),0x0f6a0000(rootfs) rootfstype=ubifs ubi.mtd=6,2048 root=ubi0:om-gta02-rootfs
[    0.000000] PID hash table entries: 512 (order: -1, 2048 bytes)
[    0.000000] Dentry cache hash table entries: 16384 (order: 4, 65536 bytes)
[    0.000000] Inode-cache hash table entries: 8192 (order: 3, 32768 bytes)
[    0.000000] Memory: 128MB = 128MB total
[    0.000000] Memory: 125860k/125860k available, 5212k reserved, 0K highmem
[    0.000000] Virtual kernel memory layout:
[    0.000000]     vector  : 0xffff0000 - 0xffff1000   (   4 kB)
[    0.000000]     fixmap  : 0xfff00000 - 0xfffe0000   ( 896 kB)
[    0.000000]     DMA     : 0xffc00000 - 0xffe00000   (   2 MB)
[    0.000000]     vmalloc : 0xc8800000 - 0xf6000000   ( 728 MB)
[    0.000000]     lowmem  : 0xc0000000 - 0xc8000000   ( 128 MB)
[    0.000000]     modules : 0xbf000000 - 0xc0000000   (  16 MB)
[    0.000000]       .init : 0xc0008000 - 0xc0026000   ( 120 kB)
[    0.000000]       .text : 0xc0026000 - 0xc0385968   (3455 kB)
[    0.000000]       .data : 0xc0386000 - 0xc03a5160   ( 125 kB)
[    0.000000] NR_IRQS:85 nr_irqs:85 85
[    0.000000] irq: clearing pending ext status 000b02f0
[    0.000000] irq: clearing pending ext status 000902d0
[    0.000000] irq: clearing subpending status 000000c7
[    0.000000] irq: clearing subpending status 00000082
[    0.000000] timer tcon=00500000, tcnt a2c1, tcfg 00000200,00000000, usec 00001eb8
[    0.000000] Console: colour dummy device 80x30
[    0.000000] console [ttySAC2] enabled
[    0.010000] Calibrating delay loop... 199.47 BogoMIPS (lpj=498688)
[    0.055000] pid_max: default: 32768 minimum: 301
[    0.055000] Mount-cache hash table entries: 512
[    0.060000] Initializing cgroup subsys ns
[    0.065000] ns_cgroup deprecated: consider using the 'clone_children' flag without the ns_cgroup.
[    0.070000] Initializing cgroup subsys cpuacct
[    0.075000] Initializing cgroup subsys devices
[    0.080000] Initializing cgroup subsys freezer
[    0.085000] CPU: Testing write buffer coherency: ok
[    0.090000] devtmpfs: initialized
[    0.095000] print_constraints: dummy: 
[    0.095000] NET: Registered protocol family 16
[    0.105000] S3C Power Management, Copyright 2004 Simtec Electronics
[    0.115000] S3C2442: Initialising architecture
[    0.115000] S3C24XX DMA Driver, Copyright 2003-2006 Simtec Electronics
[    0.120000] DMA channel 0 at c8808000, irq 33
[    0.125000] DMA channel 1 at c8808040, irq 34
[    0.125000] DMA channel 2 at c8808080, irq 35
[    0.130000] DMA channel 3 at c88080c0, irq 36
[    0.135000] S3C244X: Clock Support, DVS off
[    0.140000] s3c-adc s3c24xx-adc: attached adc driver
[    0.145000] s3c24xx-pwm s3c24xx-pwm.0: tin at 25000000, tdiv at 25000000, tin=divclk, base 0
[    0.150000] s3c24xx-pwm s3c24xx-pwm.1: tin at 25000000, tdiv at 25000000, tin=divclk, base 8
[    0.155000] s3c24xx-pwm s3c24xx-pwm.2: tin at 8333333, tdiv at 8333333, tin=divclk, base 12
[    0.160000] s3c24xx-pwm s3c24xx-pwm.3: tin at 8333333, tdiv at 8333333, tin=divclk, base 16
[    0.165000] bio: create slab <bio-0> at 0
[    0.170000] s3c-i2c s3c2440-i2c: slave address 0x10
[    0.170000] s3c-i2c s3c2440-i2c: bus frequency set to 97 KHz
[    0.185000] pcf50633 0-0073: Probed device version 19 variant 132
[    0.215000] wake enabled for irq 53
[    0.215000] print_constraints: auto: 3300 mV normal 
[    0.220000] print_constraints: down1: 1300 <--> 1600 mV at 1300 mV normal 
[    0.235000] print_constraints: down2: 1800 mV normal 
[    0.235000] print_constraints: ldo1: 3300 mV normal 
[    0.240000] print_constraints: ldo2: 3300 mV normal 
[    0.245000] print_constraints: ldo3: 3000 mV normal 
[    0.250000] print_constraints: ldo4: 3200 mV normal 
[    0.255000] print_constraints: ldo5: 3000 mV normal 
[    0.260000] print_constraints: ldo6: 3000 mV normal 
[    0.265000] print_constraints: hcldo: 2000 <--> 3300 mV at 3300 mV normal 
[    0.270000] print_constraints: memldo: 1800 mV normal 
[    0.275000] s3c-i2c s3c2440-i2c: i2c-0: S3C I2C adapter
[    0.325000] NET: Registered protocol family 2
[    0.325000] IP route cache hash table entries: 1024 (order: 0, 4096 bytes)
[    0.330000] TCP established hash table entries: 4096 (order: 3, 32768 bytes)
[    0.335000] TCP bind hash table entries: 4096 (order: 2, 16384 bytes)
[    0.340000] TCP: Hash tables configured (established 4096 bind 4096)
[    0.345000] TCP reno registered
[    0.345000] UDP hash table entries: 256 (order: 0, 4096 bytes)
[    0.350000] UDP-Lite hash table entries: 256 (order: 0, 4096 bytes)
[    0.355000] NET: Registered protocol family 1
[    0.360000] gta02-pm-bt gta02-pm-bt.0: Openmoko Freerunner Bluetooth Power Management: starting
[    0.370000] gta02-pm-bt gta02-pm-bt.0: __gta02_pm_bt_toggle_radio 1
[    0.395000] gta02-pm-gps gta02-pm-gps.0: starting
[    0.395000] gta02-pm-wlan gta02-pm-wlan.0: starting
[    0.600000] JFFS2 version 2.2. (NAND) (SUMMARY)  © 2001-2006 Red Hat, Inc.
[    0.605000] msgmni has been set to 245
[    0.610000] Block layer SCSI generic (bsg) driver version 0.4 loaded (major 253)
[    0.615000] io scheduler noop registered
[    0.620000] io scheduler deadline registered (default)
[    0.655000] print_constraints: GSM: 3700 mV normal 
[    0.675000] print_constraints: USBHOST: 3700 mV normal 
[    0.685000] s3c2440-uart.0: ttySAC0 at MMIO 0x50000000 (irq = 70) is a S3C2440
[    0.685000] s3c2440-uart.1: ttySAC1 at MMIO 0x50004000 (irq = 73) is a S3C2440
[    0.690000] s3c2440-uart.2: ttySAC2 at MMIO 0x50008000 (irq = 76) is a S3C2440
[    0.715000] brd: module loaded
[    0.715000] neo1973-resume neo1973-resume.0: starting
[    0.760000] SMEDIA Glamo frame buffer driver (C) 2007 Openmoko, Inc.
[    0.760000] glamo-fb glamo-fb.0: spin_lock_init
[    0.835000] Console: switching to colour frame buffer device 60x40
[    0.895000] fb0: SMedia Glamo frame buffer device
[    0.900000] glamo3362 glamo3362.0: Glamo core PLL1: 49119232Hz, PLL2: 89980928Hz
[    0.905000] physmap platform flash device: 00200000 at 18000000
[    0.910000] physmap-flash.0: Found 1 x16 devices at 0x0 in 16-bit bank. Manufacturer ID 0x000020 Chip ID 0x008813
[    0.915000] Intel/Sharp Extended Query Table at 0x0039
[    0.920000] Intel/Sharp Extended Query Table at 0x0039
[    0.925000] Intel/Sharp Extended Query Table at 0x0039
[    0.930000] Intel/Sharp Extended Query Table at 0x0039
[    0.935000] Intel/Sharp Extended Query Table at 0x0039
[    0.940000] cfi_cmdset_0001: Erase suspend on write enabled
[    0.945000] erase region 0: offset=0x0,size=0x2000,blocks=8
[    0.950000] erase region 1: offset=0x10000,size=0x10000,blocks=31
[    0.955000] physmap-flash.0: 1 set(s) of 1 interleaved chips --> 4 partitions of 512 KiB
[    0.965000] RedBoot partition parsing not available
[    0.970000] S3C24XX NAND Driver, (c) 2004 Simtec Electronics
[    0.970000] s3c24xx-nand s3c2440-nand: Tacls=1, 10ns Twrph0=3 30ns, Twrph1=2 20ns
[    0.975000] s3c24xx-nand s3c2440-nand: NAND soft ECC
[    0.980000] NAND device: Manufacturer ID: 0xec, Chip ID: 0xaa (Samsung NAND 256MiB 1,8V 8-bit)
[    0.985000] 6 cmdlinepart partitions found on MTD device neo1973-nand
[    0.990000] Creating 6 MTD partitions on "neo1973-nand":
[    0.995000] 0x000000000000-0x000000040000 : "u-boot"
[    1.005000] 0x000000040000-0x000000080000 : "u-boot_env"
[    1.010000] 0x000000080000-0x000000880000 : "kernel"
[    1.015000] 0x000000880000-0x000000920000 : "splash"
[    1.020000] 0x000000920000-0x000000960000 : "factory"
[    1.025000] 0x000000960000-0x000010000000 : "rootfs"
[    1.070000] UBI: attaching mtd6 to ubi0
[    1.070000] UBI: physical eraseblock size:   131072 bytes (128 KiB)
[    1.075000] UBI: logical eraseblock size:    126976 bytes
[    1.080000] UBI: smallest flash I/O unit:    2048
[    1.085000] UBI: sub-page size:              512
[    1.090000] UBI: VID header offset:          2048 (aligned 2048)
[    1.095000] UBI: data offset:                4096
[    1.380000] UBI: max. sequence number:       2
[    1.395000] UBI: attached mtd6 to ubi0
[    1.395000] UBI: MTD device name:            "rootfs"
[    1.400000] UBI: MTD device size:            246 MiB
[    1.405000] UBI: number of good PEBs:        1973
[    1.410000] UBI: number of bad PEBs:         0
[    1.415000] UBI: number of corrupted PEBs:   0
[    1.420000] UBI: max. allowed volumes:       128
[    1.425000] UBI: wear-leveling threshold:    4096
[    1.430000] UBI: number of internal volumes: 1
[    1.435000] UBI: number of user volumes:     1
[    1.435000] UBI: available PEBs:             0
[    1.440000] UBI: total number of reserved PEBs: 1973
[    1.445000] UBI: number of PEBs reserved for bad PEB handling: 19
[    1.450000] UBI: max/mean erase counter: 1/0
[    1.455000] UBI: image sequence number:  191434919
[    1.465000] UBI: background thread "ubi_bgt0d" started, PID 33
[    1.645000] mousedev: PS/2 mouse device common for all mice
[    1.645000] input: gpio-keys as /devices/platform/gpio-keys/input/input0
[    1.650000] samsung-ts s3c2440-ts: driver attached, registering input device
[    1.660000] input: S3C24XX TouchScreen as /devices/virtual/input/input1
[    1.665000] input: PCF50633 PMU events as /devices/virtual/input/input2
[    1.675000] pcf50633-rtc pcf50633-rtc: rtc core: registered pcf50633-rtc as rtc0
[    1.680000] S3C24XX RTC, (c) 2004,2006 Simtec Electronics
[    1.685000] i2c /dev entries driver
[    1.690000] S3C2410 Watchdog Timer, (c) 2004 Simtec Electronics
[    1.695000] s3c2410-wdt s3c2410-wdt: watchdog inactive, reset disabled, irq enabled
[    1.700000] cpuidle: using governor ladder
[    1.705000] s3c-sdi s3c2440-sdi: powered down.
[    1.710000] s3c-sdi s3c2440-sdi: mmc0 - using pio, sw SDIO IRQ
[    1.715000] glamo-mci glamo-mci.0: glamo_mci driver (C)2007 Openmoko, Inc
[    1.720000] s3c-sdi s3c2440-sdi: running at 0kHz (requested: 0kHz).
[    1.730000] glamo-mci glamo-mci.0: glamo_mci_set_ios: power down.
[    1.735000] Registered led device: gta02:red:aux
[    1.740000] Registered led device: gta02:orange:power
[    1.745000] Registered led device: gta02:blue:power
[    1.750000] Registered led device: gta02::vibrator
[    1.755000] TCP westwood registered
[    1.755000] NET: Registered protocol family 17
[    1.760000] Registering the dns_resolver key type
[    1.770000] s3c-sdi s3c2440-sdi: running at 400kHz (requested: 400kHz).
[    1.785000] regulator_init_complete: ldo5: disabling
[    1.785000] s3c-sdi s3c2440-sdi: running at 400kHz (requested: 400kHz).
[    1.790000] s3c-sdi s3c2440-sdi: running at 400kHz (requested: 400kHz).
[    1.795000] s3c-sdi s3c2440-sdi: running at 400kHz (requested: 400kHz).
[    1.805000] pcf50633-rtc pcf50633-rtc: setting system clock to 2000-01-01 01:28:56 UTC (946690136)
[    1.860000] s3c-sdi s3c2440-sdi: running at 400kHz (requested: 400kHz).
[    1.875000] UBIFS: mounted UBI device 0, volume 0, name "om-gta02-rootfs"
[    1.880000] UBIFS: mounted read-only
[    1.880000] UBIFS: file system size:   246206464 bytes (240436 KiB, 234 MiB, 1939 LEBs)
[    1.885000] UBIFS: journal size:       9023488 bytes (8812 KiB, 8 MiB, 72 LEBs)
[    1.890000] UBIFS: media format:       w4/r0 (latest is w4/r0)
[    1.895000] UBIFS: default compressor: lzo
[    1.900000] UBIFS: reserved for root:  0 bytes (0 KiB)
[    1.905000] VFS: Mounted root (ubifs filesystem) readonly on device 0:11.
[    1.910000] devtmpfs: mounted
[    1.910000] Freeing init memory: 120K
[    1.945000] mmc0: queuing unknown CIS tuple 0x01 (3 bytes)
[    1.960000] mmc0: queuing unknown CIS tuple 0x1a (5 bytes)
[    1.975000] mmc0: queuing unknown CIS tuple 0x1b (8 bytes)
[    1.975000] s3c-sdi s3c2440-sdi: running at 25000kHz (requested: 25000kHz).
[    1.985000] s3c-sdi s3c2440-sdi: running at 25000kHz (requested: 25000kHz).
[    1.995000] mmc0: queuing unknown CIS tuple 0x80 (1 bytes)
[    1.995000] mmc0: queuing unknown CIS tuple 0x81 (1 bytes)
[    2.005000] mmc0: queuing unknown CIS tuple 0x82 (1 bytes)
[    2.005000] mmc0: new SDIO card at address 0001
[    2.015000] glamo-mci glamo-mci.0: powered (vdd = 21) clk: 0kHz div=0 (req: 0kHz). Bus width=0
[    2.040000] glamo-mci glamo-mci.0: powered (vdd = 21) clk: 399kHz div=0 (req: 400kHz). Bus width=0
[    2.060000] glamo-mci glamo-mci.0: powered (vdd = 21) clk: 399kHz div=0 (req: 400kHz). Bus width=0
[    2.070000] glamo-mci glamo-mci.0: powered (vdd = 21) clk: 399kHz div=0 (req: 400kHz). Bus width=0
[    2.095000] glamo-mci glamo-mci.0: glamo_mci_set_ios: power down.
[    2.095000] glamo-mci glamo-mci.0: powered (vdd = 21) clk: 0kHz div=0 (req: 0kHz). Bus width=0
[    2.120000] glamo-mci glamo-mci.0: powered (vdd = 21) clk: 299kHz div=0 (req: 300kHz). Bus width=0
[    2.140000] glamo-mci glamo-mci.0: powered (vdd = 21) clk: 299kHz div=0 (req: 300kHz). Bus width=0
[    2.155000] glamo-mci glamo-mci.0: powered (vdd = 21) clk: 299kHz div=0 (req: 300kHz). Bus width=0
[    2.180000] glamo-mci glamo-mci.0: glamo_mci_set_ios: power down.
[    2.185000] glamo-mci glamo-mci.0: powered (vdd = 21) clk: 0kHz div=0 (req: 0kHz). Bus width=0
[    2.210000] glamo-mci glamo-mci.0: powered (vdd = 21) clk: 199kHz div=0 (req: 200kHz). Bus width=0
[    2.230000] glamo-mci glamo-mci.0: powered (vdd = 21) clk: 199kHz div=0 (req: 200kHz). Bus width=0
[    2.245000] glamo-mci glamo-mci.0: powered (vdd = 21) clk: 199kHz div=0 (req: 200kHz). Bus width=0
[    2.270000] glamo-mci glamo-mci.0: glamo_mci_set_ios: power down.
[    2.275000] glamo-mci glamo-mci.0: powered (vdd = 21) clk: 0kHz div=0 (req: 0kHz). Bus width=0
[    2.295000] glamo-mci glamo-mci.0: powered (vdd = 21) clk: 191kHz div=0 (req: 191kHz). Bus width=0
[    2.315000] glamo-mci glamo-mci.0: powered (vdd = 21) clk: 191kHz div=0 (req: 191kHz). Bus width=0
[    2.330000] glamo-mci glamo-mci.0: powered (vdd = 21) clk: 191kHz div=0 (req: 191kHz). Bus width=0
[    2.350000] glamo-mci glamo-mci.0: glamo_mci_set_ios: power down.
[    2.360000] systemd[1]: systemd 189 running in system mode. (+PAM -LIBWRAP -AUDIT -SELINUX +IMA +SYSVINIT -LIBCRYPTSETUP +GCRYPT +ACL +XZ; debian)

Welcome to Linux!

[    2.440000] systemd[1]: Inserted module 'autofs4'
[    2.975000] NET: Registered protocol family 10
[    2.980000] systemd[1]: Inserted module 'ipv6'
[    2.980000] systemd[1]: Set hostname to <om-gta02>.
[    2.985000] systemd[1]: Initializing machine ID from random generator.
[    2.990000] systemd[1]: Installed transient /etc/machine-id file.
[    3.040000] systemd[1]: Caught <ILL>, core dump failed.
[    3.040000] systemd[1]: Freezing execution.

comment:2 Changed 7 years ago by jama

Can you check if there is /core generated for you too? And provide traceback? This is with newer binutils that what's used in default shr images:

Core was generated by `/sbin/init splash'.
Program terminated with signal 4, Illegal instruction.
#0 0x400d1a00 in raise () from /lib/libpthread.so.0
(gdb) bt
#0 0x400d1a00 in raise () from /lib/libpthread.so.0
#1 0x00011816 in ?? ()
#2 0x00011816 in ?? ()
Backtrace stopped: previous frame identical to this frame (corrupt stack?)

comment:4 Changed 7 years ago by jama

  • Resolution set to fixed
  • Status changed from new to closed

Patch sent to oe-core, backported to danny and will be fixed in 107
http://lists.linuxtogo.org/pipermail/openembedded-core/2012-November/032100.html

Note: See TracTickets for help on using tickets.